%set_verify_elf_method none
%define _python_compile_clean ""

Name: python-module-tionix_vdi_server
Version: 1.32.3
Release: alt0.M70C.1
Summary: Tionix VDI server

Group: Development/Python
License: non-exclusive
Url: http://tionix.ru/
Source0: %name-%version.tar

BuildArch: noarch
AutoReq: no

BuildRequires: python-devel
BuildRequires: python-module-setuptools python-module-setuptools-tests
BuildRequires: python-module-pbr >= 1.8
BuildRequires: python-module-sphinx

Requires: python-module-tionix_client
Requires: python-module-celery
Requires: python-module-celery-tests
Requires: python-module-django
Requires: python-module-djangorestframework
Requires: python-module-migrate
Requires: python-module-django-openstack-auth
Requires: python-module-django-user_agents
Requires: python-module-django-compressor
Requires: python-module-django-bootstrap3
Requires: python-module-yaml
Requires: python-module-xstatic
Requires: python-module-xstatic-bootstrap-scss
Requires: python-module-xstatic-spin
Requires: openstack-nova-common
Requires: python-module-pycrypto
Requires: python-module-pymysql
Requires: python-module-webob
Requires: python-module-eventlet
Requires: python-module-tionix_licensing >= 2.0.0

%description
Tionix VDI server

%prep
%setup

# Remove bundled egg-info
rm -rf *.egg-info

%build
mkdir -pv build/lib/
cp -rv tionix_vdi_server build/lib/

%install
%python_install

%files
%python_sitelibdir/*

%changelog
* Wed Dec 12 2018 Trubach Sergey <trubach@altlinux.org> 1.32.3-alt0.M70C.1
- Fixed revealing some passwords in diagnostic according to the requirement of regulators for 1 class GIS

* Wed Jul 18 2018 Trubach Sergey <trubach@altlinux.org> 1.32.2-alt0.M70C.1
- Fixed revealing some passwords in debug logs

* Wed Jul 04 2018 Trubach Sergey <trubach@altlinux.org> 1.32.1-alt0.M70C.1
- Fixed revealing some passwords in debug logs

* Fri May 04 2018 Trubach Sergey <trubach@altlinux.org> 1.32.0-alt0.M70C.1
- Add new version 1.32.0

* Fri Apr 13 2018 Trubach Sergey <trubach@altlinux.org> 1.31.0-alt0.M70C.1
- Add new version 1.31.0
- Fixed 'empty session token' vulnerability, see tionix letter #60,13.04.2018

* Fri Apr 06 2018 Trubach Sergey <trubach@altlinux.org> 1.29.1-alt0.M70C.1
- Add new version 1.29.1

* Fri Mar 30 2018 Trubach Sergey <trubach@altlinux.org> 1.29.3-alt0.M70C.1
- Add new version 1.29.3

* Mon Mar 12 2018 Trubach Sergey <trubach@altlinux.org> 1.30.0-alt0.M70C.1
- Add new version 1.30.0

* Tue Feb 27 2018 Trubach Sergey <trubach@altlinux.org> 1.29.2-alt0.M70C.1
- Add new version 1.29.2

* Mon Feb 05 2018 Trubach Sergey <trubach@altlinux.org> 1.29.1-alt0.M70C.1
- New version 1.29.1

* Wed Jan 24 2018 Lenar Shakirov <snejok@altlinux.ru> 1.29.0-alt0.M70C.1
- New version 1.29.0

* Thu Nov 02 2017 Lenar Shakirov <snejok@altlinux.ru> 1.27.0-alt0.M70C.1
- New version 1.27.0

* Tue Sep 19 2017 Lenar Shakirov <snejok@altlinux.ru> 1.25.0-alt0.M70C.1
- New version 1.25.0

* Mon Jun 05 2017 Lenar Shakirov <snejok@altlinux.ru> 1.20.0-alt0.M70C.1
- New version 1.20.0
- Needed requires added

* Fri May 26 2017 Lenar Shakirov <snejok@altlinux.ru> 1.19.0-alt0.M70C.1
- New version 1.19.0

* Fri May 26 2017 Lenar Shakirov <snejok@altlinux.ru> 1.18.0-alt0.M70C.4
- Don't use python_build macros

* Thu May 25 2017 Lenar Shakirov <snejok@altlinux.ru> 1.18.0-alt0.M70C.3
- Unset _python_compile_clean

* Mon May 22 2017 Lenar Shakirov <snejok@altlinux.ru> 1.18.0-alt0.M70C.2
- Packaging fixed

* Mon May 22 2017 Lenar Shakirov <snejok@altlinux.ru> 1.18.0-alt0.M70C.1
- New version 1.18.0

* Wed Mar 15 2017 Lenar Shakirov <snejok@altlinux.ru> 1.15.0-alt0.M70C.1
- New version 1.15.0

* Tue Dec 13 2016 Lenar Shakirov <snejok@altlinux.ru> 1.0.0-alt0.M70C.1
- Initial build for ALT
